Skip to Content
avatar image
Former Member

ARIA support in SAPUI5

At https://sapui5.hana.ondemand.com/#docs/guide/656e825c5f1548e6b1d0acb5586f2a2a.html

it states,

"While ARIA-compliant screen readers may work fine, SAPUI5 is only tested and supported for desktop applications for the following configuration. Test reports are available upon request:

  • Windows 7, 64-bit
  • Internet Explorer 11
  • JAWS version 16"

Is this statement accurate/up-to-date? My understanding was modern HTML5 browsers are supported by UI5, but why is ARIA support restricted to only IE11?

Thanks,

Andrew.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Dec 20, 2017 at 04:56 PM

    Hi Andrew,

    SAPUI5 is compliant with HTML5 browsers according to this. The statement you mentioned is regarding *screeen readers*. And this doesn't mean SAP is not compliant with any ARIA screen readers. It means SAP doesn't test SAPUI5 with them. In essence it may work just as well as any of the other supported browsers. However, some ARIA devices may not work due to specific hardware/software that SAP doesn't have access to test its products.

    Regards,
    Ivan

    Add comment
    10|10000 characters needed characters exceeded